--- ryandesign.eh_alloc.cpp	2015-01-15 01:02:47.000000000 -0500
+++ larryv.eh_alloc.cpp	2015-01-15 01:02:18.000000000 -0500
@@ -1,5 +1,5 @@
 # 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/gcc-5-20150111/libstdc++-v3/libsupc++/eh_alloc.cc"
-# 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/gcc-5-20150111//"
+# 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/libsupc++//"
 # 1 "<built-in>"
 # 1 "<command-line>"
 # 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/gcc-5-20150111/libstdc++-v3/libsupc++/eh_alloc.cc"
@@ -33,32 +33,32 @@
        
 # 40 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/cstdlib" 3
 # 72 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/cstdlib" 3
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 1 3 4
-# 61 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/Availability.h" 1 3 4
-# 151 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/Availability.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/AvailabilityInternal.h" 1 3 4
-# 152 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/Availability.h" 2 3 4
-# 62 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
-
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types.h" 1 3 4
-# 27 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types.h" 1 3 4
-# 32 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/cdefs.h" 1 3 4
-# 506 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/cdefs.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_symbol_aliasing.h" 1 3 4
-# 507 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/cdefs.h" 2 3 4
-# 572 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/cdefs.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_posix_availability.h" 1 3 4
-# 573 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/cdefs.h" 2 3 4
-# 33 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/_types.h" 1 3 4
-# 32 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/_types.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_types.h" 1 3 4
-# 37 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_types.h" 3 4
+# 1 "/usr/include/stdlib.h" 1 3 4
+# 61 "/usr/include/stdlib.h" 3 4
+# 1 "/usr/include/Availability.h" 1 3 4
+# 151 "/usr/include/Availability.h" 3 4
+# 1 "/usr/include/AvailabilityInternal.h" 1 3 4
+# 152 "/usr/include/Availability.h" 2 3 4
+# 62 "/usr/include/stdlib.h" 2 3 4
+
+# 1 "/usr/include/_types.h" 1 3 4
+# 27 "/usr/include/_types.h" 3 4
+# 1 "/usr/include/sys/_types.h" 1 3 4
+# 32 "/usr/include/sys/_types.h" 3 4
+# 1 "/usr/include/sys/cdefs.h" 1 3 4
+# 506 "/usr/include/sys/cdefs.h" 3 4
+# 1 "/usr/include/sys/_symbol_aliasing.h" 1 3 4
+# 507 "/usr/include/sys/cdefs.h" 2 3 4
+# 572 "/usr/include/sys/cdefs.h" 3 4
+# 1 "/usr/include/sys/_posix_availability.h" 1 3 4
+# 573 "/usr/include/sys/cdefs.h" 2 3 4
+# 33 "/usr/include/sys/_types.h" 2 3 4
+# 1 "/usr/include/machine/_types.h" 1 3 4
+# 32 "/usr/include/machine/_types.h" 3 4
+# 1 "/usr/include/i386/_types.h" 1 3 4
+# 37 "/usr/include/i386/_types.h" 3 4
 
-# 37 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_types.h" 3 4
+# 37 "/usr/include/i386/_types.h" 3 4
 typedef signed char __int8_t;
 
 
@@ -73,7 +73,7 @@
 
 typedef long __darwin_intptr_t;
 typedef unsigned int __darwin_natural_t;
-# 70 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_types.h" 3 4
+# 70 "/usr/include/i386/_types.h" 3 4
 typedef int __darwin_ct_rune_t;
 
 
@@ -125,9 +125,9 @@
 typedef __uint32_t __darwin_socklen_t;
 typedef long __darwin_ssize_t;
 typedef long __darwin_time_t;
-# 33 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/_types.h" 2 3 4
-# 34 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types.h" 2 3 4
-# 55 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types.h" 3 4
+# 33 "/usr/include/machine/_types.h" 2 3 4
+# 34 "/usr/include/sys/_types.h" 2 3 4
+# 55 "/usr/include/sys/_types.h" 3 4
 typedef __int64_t __darwin_blkcnt_t;
 typedef __int32_t __darwin_blksize_t;
 typedef __int32_t __darwin_dev_t;
@@ -153,8 +153,8 @@
 typedef unsigned char __darwin_uuid_t[16];
 typedef char __darwin_uuid_string_t[37];
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_types.h" 1 3 4
-# 57 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_types.h" 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_types.h" 1 3 4
+# 57 "/usr/include/sys/_pthread/_pthread_types.h" 3 4
 struct __darwin_pthread_handler_rec {
  void (*__routine)(void *);
  void *__arg;
@@ -217,17 +217,17 @@
 typedef struct _opaque_pthread_rwlock_t __darwin_pthread_rwlock_t;
 typedef struct _opaque_pthread_rwlockattr_t __darwin_pthread_rwlockattr_t;
 typedef struct _opaque_pthread_t *__darwin_pthread_t;
-# 81 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types.h" 2 3 4
-# 28 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types.h" 2 3 4
-# 39 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types.h" 3 4
+# 81 "/usr/include/sys/_types.h" 2 3 4
+# 28 "/usr/include/_types.h" 2 3 4
+# 39 "/usr/include/_types.h" 3 4
 typedef int __darwin_nl_item;
 typedef int __darwin_wctrans_t;
 
 typedef __uint32_t __darwin_wctype_t;
-# 64 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
+# 64 "/usr/include/stdlib.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 1 3 4
-# 79 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 3 4
+# 1 "/usr/include/sys/wait.h" 1 3 4
+# 79 "/usr/include/sys/wait.h" 3 4
 typedef enum {
  P_ALL,
  P_PID,
@@ -238,19 +238,19 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_pid_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_pid_t.h" 3 4
+# 1 "/usr/include/sys/_types/_pid_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_pid_t.h" 3 4
 typedef __darwin_pid_t pid_t;
-# 90 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_id_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_id_t.h" 3 4
+# 90 "/usr/include/sys/wait.h" 2 3 4
+# 1 "/usr/include/sys/_types/_id_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_id_t.h" 3 4
 typedef __darwin_id_t id_t;
-# 91 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 2 3 4
-# 109 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 1 3 4
-# 73 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/appleapiopts.h" 1 3 4
-# 74 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
+# 91 "/usr/include/sys/wait.h" 2 3 4
+# 109 "/usr/include/sys/wait.h" 3 4
+# 1 "/usr/include/sys/signal.h" 1 3 4
+# 73 "/usr/include/sys/signal.h" 3 4
+# 1 "/usr/include/sys/appleapiopts.h" 1 3 4
+# 74 "/usr/include/sys/signal.h" 2 3 4
 
 
 
@@ -258,20 +258,20 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/signal.h" 1 3 4
-# 32 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/signal.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/signal.h" 1 3 4
-# 39 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/signal.h" 3 4
+# 1 "/usr/include/machine/signal.h" 1 3 4
+# 32 "/usr/include/machine/signal.h" 3 4
+# 1 "/usr/include/i386/signal.h" 1 3 4
+# 39 "/usr/include/i386/signal.h" 3 4
 typedef int sig_atomic_t;
-# 33 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/signal.h" 2 3 4
-# 82 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
-# 145 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/_mcontext.h" 1 3 4
-# 29 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/_mcontext.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_mcontext.h" 1 3 4
-# 33 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_mcontext.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 1 3 4
-# 43 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 33 "/usr/include/machine/signal.h" 2 3 4
+# 82 "/usr/include/sys/signal.h" 2 3 4
+# 145 "/usr/include/sys/signal.h" 3 4
+# 1 "/usr/include/machine/_mcontext.h" 1 3 4
+# 29 "/usr/include/machine/_mcontext.h" 3 4
+# 1 "/usr/include/i386/_mcontext.h" 1 3 4
+# 33 "/usr/include/i386/_mcontext.h" 3 4
+# 1 "/usr/include/mach/i386/_structs.h" 1 3 4
+# 43 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_i386_thread_state
 {
     unsigned int __eax;
@@ -291,7 +291,7 @@
     unsigned int __fs;
     unsigned int __gs;
 };
-# 89 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 89 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_fp_control
 {
     unsigned short __invalid :1,
@@ -318,7 +318,7 @@
       :3;
 };
 typedef struct __darwin_fp_control __darwin_fp_control_t;
-# 147 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 147 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_fp_status
 {
     unsigned short __invalid :1,
@@ -337,18 +337,18 @@
     __busy :1;
 };
 typedef struct __darwin_fp_status __darwin_fp_status_t;
-# 191 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 191 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_mmst_reg
 {
  char __mmst_reg[10];
  char __mmst_rsrv[6];
 };
-# 210 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 210 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_xmm_reg
 {
  char __xmm_reg[16];
 };
-# 232 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 232 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_i386_float_state
 {
  int __fpu_reserved[2];
@@ -430,7 +430,7 @@
  struct __darwin_xmm_reg __fpu_ymmh6;
  struct __darwin_xmm_reg __fpu_ymmh7;
 };
-# 402 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 402 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_i386_exception_state
 {
  __uint16_t __trapno;
@@ -438,7 +438,7 @@
  __uint32_t __err;
  __uint32_t __faultvaddr;
 };
-# 422 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 422 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_x86_debug_state32
 {
  unsigned int __dr0;
@@ -450,7 +450,7 @@
  unsigned int __dr6;
  unsigned int __dr7;
 };
-# 454 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 454 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_x86_thread_state64
 {
  __uint64_t __rax;
@@ -475,7 +475,7 @@
  __uint64_t __fs;
  __uint64_t __gs;
 };
-# 509 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 509 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_x86_float_state64
 {
  int __fpu_reserved[2];
@@ -593,7 +593,7 @@
  struct __darwin_xmm_reg __fpu_ymmh14;
  struct __darwin_xmm_reg __fpu_ymmh15;
 };
-# 751 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 751 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_x86_exception_state64
 {
     __uint16_t __trapno;
@@ -601,7 +601,7 @@
     __uint32_t __err;
     __uint64_t __faultvaddr;
 };
-# 771 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/mach/i386/_structs.h" 3 4
+# 771 "/usr/include/mach/i386/_structs.h" 3 4
 struct __darwin_x86_debug_state64
 {
  __uint64_t __dr0;
@@ -613,7 +613,7 @@
  __uint64_t __dr6;
  __uint64_t __dr7;
 };
-# 34 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_mcontext.h" 2 3 4
+# 34 "/usr/include/i386/_mcontext.h" 2 3 4
 
 
 
@@ -632,7 +632,7 @@
  struct __darwin_i386_thread_state __ss;
  struct __darwin_i386_avx_state __fs;
 };
-# 76 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_mcontext.h" 3 4
+# 76 "/usr/include/i386/_mcontext.h" 3 4
 struct __darwin_mcontext64
 {
  struct __darwin_x86_exception_state64 __es;
@@ -647,18 +647,18 @@
  struct __darwin_x86_thread_state64 __ss;
  struct __darwin_x86_avx_state64 __fs;
 };
-# 115 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_mcontext.h" 3 4
+# 115 "/usr/include/i386/_mcontext.h" 3 4
 typedef struct __darwin_mcontext64 *mcontext_t;
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/_mcontext.h" 2 3 4
-# 146 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
+# 30 "/usr/include/machine/_mcontext.h" 2 3 4
+# 146 "/usr/include/sys/signal.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_attr_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_attr_t.h" 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_attr_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_attr_t.h" 3 4
 typedef __darwin_pthread_attr_t pthread_attr_t;
-# 148 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
+# 148 "/usr/include/sys/signal.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_sigaltstack.h" 1 3 4
-# 36 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_sigaltstack.h" 3 4
+# 1 "/usr/include/sys/_types/_sigaltstack.h" 1 3 4
+# 36 "/usr/include/sys/_types/_sigaltstack.h" 3 4
 struct __darwin_sigaltstack
 {
  void *ss_sp;
@@ -666,9 +666,9 @@
  int ss_flags;
 };
 typedef struct __darwin_sigaltstack stack_t;
-# 150 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_ucontext.h" 1 3 4
-# 34 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_ucontext.h" 3 4
+# 150 "/usr/include/sys/signal.h" 2 3 4
+# 1 "/usr/include/sys/_types/_ucontext.h" 1 3 4
+# 34 "/usr/include/sys/_types/_ucontext.h" 3 4
 struct __darwin_ucontext
 {
  int uc_onstack;
@@ -684,21 +684,21 @@
 
 
 typedef struct __darwin_ucontext ucontext_t;
-# 151 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
+# 151 "/usr/include/sys/signal.h" 2 3 4
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_sigset_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_sigset_t.h" 3 4
+# 1 "/usr/include/sys/_types/_sigset_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_sigset_t.h" 3 4
 typedef __darwin_sigset_t sigset_t;
-# 154 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_size_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_size_t.h" 3 4
+# 154 "/usr/include/sys/signal.h" 2 3 4
+# 1 "/usr/include/sys/_types/_size_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_size_t.h" 3 4
 typedef __darwin_size_t size_t;
-# 155 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_uid_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_uid_t.h" 3 4
+# 155 "/usr/include/sys/signal.h" 2 3 4
+# 1 "/usr/include/sys/_types/_uid_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_uid_t.h" 3 4
 typedef __darwin_uid_t uid_t;
-# 156 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 2 3 4
+# 156 "/usr/include/sys/signal.h" 2 3 4
 
 union sigval {
 
@@ -731,7 +731,7 @@
  long si_band;
  unsigned long __pad[7];
 } siginfo_t;
-# 268 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
+# 268 "/usr/include/sys/signal.h" 3 4
 union __sigaction_u {
  void (*__sa_handler)(int);
  void (*__sa_sigaction)(int, struct __siginfo *,
@@ -754,61 +754,61 @@
  sigset_t sa_mask;
  int sa_flags;
 };
-# 330 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
+# 330 "/usr/include/sys/signal.h" 3 4
 typedef void (*sig_t)(int);
-# 347 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
+# 347 "/usr/include/sys/signal.h" 3 4
 struct sigvec {
  void (*sv_handler)(int);
  int sv_mask;
  int sv_flags;
 };
-# 366 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
+# 366 "/usr/include/sys/signal.h" 3 4
 struct sigstack {
  char *ss_sp;
  int ss_onstack;
 };
-# 388 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/signal.h" 3 4
+# 388 "/usr/include/sys/signal.h" 3 4
 extern "C" {
 void (*signal(int, void (*)(int)))(int);
 }
-# 110 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 1 3 4
-# 72 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 110 "/usr/include/sys/wait.h" 2 3 4
+# 1 "/usr/include/sys/resource.h" 1 3 4
+# 72 "/usr/include/sys/resource.h" 3 4
 # 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include/stdint.h" 1 3 4
 # 9 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include/stdint.h" 3 4
 # 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 1 3 4
 # 27 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int8_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int8_t.h" 3 4
+# 1 "/usr/include/sys/_types/_int8_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_int8_t.h" 3 4
 typedef signed char int8_t;
 # 28 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int16_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int16_t.h" 3 4
+# 1 "/usr/include/sys/_types/_int16_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_int16_t.h" 3 4
 typedef short int16_t;
 # 29 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int32_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int32_t.h" 3 4
+# 1 "/usr/include/sys/_types/_int32_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_int32_t.h" 3 4
 typedef int int32_t;
 # 30 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int64_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_int64_t.h" 3 4
+# 1 "/usr/include/sys/_types/_int64_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_int64_t.h" 3 4
 typedef long long int64_t;
 # 31 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint8_t.h" 1 3 4
-# 31 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint8_t.h" 3 4
+# 1 "/usr/include/_types/_uint8_t.h" 1 3 4
+# 31 "/usr/include/_types/_uint8_t.h" 3 4
 typedef unsigned char uint8_t;
 # 33 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint16_t.h" 1 3 4
-# 31 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint16_t.h" 3 4
+# 1 "/usr/include/_types/_uint16_t.h" 1 3 4
+# 31 "/usr/include/_types/_uint16_t.h" 3 4
 typedef unsigned short uint16_t;
 # 34 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint32_t.h" 1 3 4
-# 31 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint32_t.h" 3 4
+# 1 "/usr/include/_types/_uint32_t.h" 1 3 4
+# 31 "/usr/include/_types/_uint32_t.h" 3 4
 typedef unsigned int uint32_t;
 # 35 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint64_t.h" 1 3 4
-# 31 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uint64_t.h" 3 4
+# 1 "/usr/include/_types/_uint64_t.h" 1 3 4
+# 31 "/usr/include/_types/_uint64_t.h" 3 4
 typedef unsigned long long uint64_t;
 # 36 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
 
@@ -837,27 +837,27 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_intptr_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_intptr_t.h" 3 4
+# 1 "/usr/include/sys/_types/_intptr_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_intptr_t.h" 3 4
 typedef __darwin_intptr_t intptr_t;
 # 63 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_uintptr_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_uintptr_t.h" 3 4
+# 1 "/usr/include/sys/_types/_uintptr_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_uintptr_t.h" 3 4
 typedef unsigned long uintptr_t;
 # 64 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_intmax_t.h" 1 3 4
-# 32 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_intmax_t.h" 3 4
+# 1 "/usr/include/_types/_intmax_t.h" 1 3 4
+# 32 "/usr/include/_types/_intmax_t.h" 3 4
 typedef long int intmax_t;
 # 68 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uintmax_t.h" 1 3 4
-# 32 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/_types/_uintmax_t.h" 3 4
+# 1 "/usr/include/_types/_uintmax_t.h" 1 3 4
+# 32 "/usr/include/_types/_uintmax_t.h" 3 4
 typedef long unsigned int uintmax_t;
 # 69 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/stdint.h" 2 3 4
 # 10 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include/stdint.h" 2 3 4
-# 73 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 2 3 4
+# 73 "/usr/include/sys/resource.h" 2 3 4
 
 
 
@@ -865,21 +865,21 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_timeval.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_timeval.h" 3 4
+# 1 "/usr/include/sys/_types/_timeval.h" 1 3 4
+# 30 "/usr/include/sys/_types/_timeval.h" 3 4
 struct timeval
 {
  __darwin_time_t tv_sec;
  __darwin_suseconds_t tv_usec;
 };
-# 81 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 2 3 4
-# 89 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 81 "/usr/include/sys/resource.h" 2 3 4
+# 89 "/usr/include/sys/resource.h" 3 4
 typedef __uint64_t rlim_t;
-# 152 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 152 "/usr/include/sys/resource.h" 3 4
 struct rusage {
  struct timeval ru_utime;
  struct timeval ru_stime;
-# 163 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 163 "/usr/include/sys/resource.h" 3 4
  long ru_maxrss;
 
  long ru_ixrss;
@@ -898,7 +898,7 @@
 
 
 };
-# 192 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 192 "/usr/include/sys/resource.h" 3 4
 typedef void *rusage_info_t;
 
 struct rusage_info_v0 {
@@ -989,17 +989,17 @@
 };
 
 typedef struct rusage_info_v3 rusage_info_current;
-# 325 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 325 "/usr/include/sys/resource.h" 3 4
 struct rlimit {
  rlim_t rlim_cur;
  rlim_t rlim_max;
 };
-# 353 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 353 "/usr/include/sys/resource.h" 3 4
 struct proc_rlimit_control_wakeupmon {
  uint32_t wm_flags;
  int32_t wm_rate;
 };
-# 382 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/resource.h" 3 4
+# 382 "/usr/include/sys/resource.h" 3 4
 extern "C" {
 int getpriority(int, id_t);
 
@@ -1013,18 +1013,18 @@
 
 int setrlimit(int, const struct rlimit *) __asm("_" "setrlimit" );
 }
-# 111 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 2 3 4
-# 186 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/endian.h" 1 3 4
-# 35 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/endian.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/endian.h" 1 3 4
-# 99 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/endian.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_endian.h" 1 3 4
-# 130 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_endian.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libkern/_OSByteOrder.h" 1 3 4
-# 66 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libkern/_OSByteOrder.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libkern/i386/_OSByteOrder.h" 1 3 4
-# 44 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libkern/i386/_OSByteOrder.h" 3 4
+# 111 "/usr/include/sys/wait.h" 2 3 4
+# 186 "/usr/include/sys/wait.h" 3 4
+# 1 "/usr/include/machine/endian.h" 1 3 4
+# 35 "/usr/include/machine/endian.h" 3 4
+# 1 "/usr/include/i386/endian.h" 1 3 4
+# 99 "/usr/include/i386/endian.h" 3 4
+# 1 "/usr/include/sys/_endian.h" 1 3 4
+# 130 "/usr/include/sys/_endian.h" 3 4
+# 1 "/usr/include/libkern/_OSByteOrder.h" 1 3 4
+# 66 "/usr/include/libkern/_OSByteOrder.h" 3 4
+# 1 "/usr/include/libkern/i386/_OSByteOrder.h" 1 3 4
+# 44 "/usr/include/libkern/i386/_OSByteOrder.h" 3 4
 static inline
 __uint16_t
 _OSSwapInt16(
@@ -1047,7 +1047,7 @@
     return _data;
 
 }
-# 91 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libkern/i386/_OSByteOrder.h" 3 4
+# 91 "/usr/include/libkern/i386/_OSByteOrder.h" 3 4
 static inline
 __uint64_t
 _OSSwapInt64(
@@ -1057,11 +1057,11 @@
     __asm__ ("bswap   %0" : "+r" (_data));
     return _data;
 }
-# 67 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libkern/_OSByteOrder.h" 2 3 4
-# 131 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_endian.h" 2 3 4
-# 100 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/endian.h" 2 3 4
-# 36 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/endian.h" 2 3 4
-# 187 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 2 3 4
+# 67 "/usr/include/libkern/_OSByteOrder.h" 2 3 4
+# 131 "/usr/include/sys/_endian.h" 2 3 4
+# 100 "/usr/include/i386/endian.h" 2 3 4
+# 36 "/usr/include/machine/endian.h" 2 3 4
+# 187 "/usr/include/sys/wait.h" 2 3 4
 
 
 
@@ -1106,7 +1106,7 @@
 
  } w_S;
 };
-# 247 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/wait.h" 3 4
+# 247 "/usr/include/sys/wait.h" 3 4
 extern "C" {
 pid_t wait(int *) __asm("_" "wait" );
 pid_t waitpid(pid_t, int *, int) __asm("_" "waitpid" );
@@ -1118,27 +1118,27 @@
 pid_t wait4(pid_t, int *, int, struct rusage *);
 
 }
-# 66 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
+# 66 "/usr/include/stdlib.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/alloca.h" 1 3 4
-# 31 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/alloca.h" 3 4
+# 1 "/usr/include/alloca.h" 1 3 4
+# 31 "/usr/include/alloca.h" 3 4
 extern "C" {
 void *alloca(size_t);
 }
-# 68 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
-# 76 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_ct_rune_t.h" 1 3 4
-# 31 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_ct_rune_t.h" 3 4
+# 68 "/usr/include/stdlib.h" 2 3 4
+# 76 "/usr/include/stdlib.h" 3 4
+# 1 "/usr/include/sys/_types/_ct_rune_t.h" 1 3 4
+# 31 "/usr/include/sys/_types/_ct_rune_t.h" 3 4
 typedef __darwin_ct_rune_t ct_rune_t;
-# 77 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_rune_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_rune_t.h" 3 4
+# 77 "/usr/include/stdlib.h" 2 3 4
+# 1 "/usr/include/sys/_types/_rune_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_rune_t.h" 3 4
 typedef __darwin_rune_t rune_t;
-# 78 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
+# 78 "/usr/include/stdlib.h" 2 3 4
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_wchar_t.h" 1 3 4
-# 81 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
+# 1 "/usr/include/sys/_types/_wchar_t.h" 1 3 4
+# 81 "/usr/include/stdlib.h" 2 3 4
 
 typedef struct {
  int quot;
@@ -1157,11 +1157,11 @@
 } lldiv_t;
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_null.h" 1 3 4
-# 100 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
-# 117 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 3 4
+# 1 "/usr/include/sys/_types/_null.h" 1 3 4
+# 100 "/usr/include/stdlib.h" 2 3 4
+# 117 "/usr/include/stdlib.h" 3 4
 extern int __mb_cur_max;
-# 127 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 3 4
+# 127 "/usr/include/stdlib.h" 3 4
 extern "C" {
 void abort(void) __attribute__((noreturn));
 int abs(int) __attribute__((const));
@@ -1273,10 +1273,10 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/types.h" 1 3 4
-# 35 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/types.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/types.h" 1 3 4
-# 81 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/types.h" 3 4
+# 1 "/usr/include/machine/types.h" 1 3 4
+# 35 "/usr/include/machine/types.h" 3 4
+# 1 "/usr/include/i386/types.h" 1 3 4
+# 81 "/usr/include/i386/types.h" 3 4
 typedef unsigned char u_int8_t;
 typedef unsigned short u_int16_t;
 typedef unsigned int u_int32_t;
@@ -1284,7 +1284,7 @@
 
 
 typedef int64_t register_t;
-# 97 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/types.h" 3 4
+# 97 "/usr/include/i386/types.h" 3 4
 typedef u_int64_t user_addr_t;
 typedef u_int64_t user_size_t;
 typedef int64_t user_ssize_t;
@@ -1300,17 +1300,17 @@
 
 
 typedef u_int64_t syscall_arg_t;
-# 36 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/types.h" 2 3 4
-# 239 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
+# 36 "/usr/include/machine/types.h" 2 3 4
+# 239 "/usr/include/stdlib.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_dev_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_dev_t.h" 3 4
+# 1 "/usr/include/sys/_types/_dev_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_dev_t.h" 3 4
 typedef __darwin_dev_t dev_t;
-# 241 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_mode_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_mode_t.h" 3 4
+# 241 "/usr/include/stdlib.h" 2 3 4
+# 1 "/usr/include/sys/_types/_mode_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_mode_t.h" 3 4
 typedef __darwin_mode_t mode_t;
-# 242 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/stdlib.h" 2 3 4
+# 242 "/usr/include/stdlib.h" 2 3 4
 
 u_int32_t arc4random(void);
 void arc4random_addrandom(unsigned char * , int );
@@ -1539,8 +1539,8 @@
 # 40 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/cstring" 3
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 1 3 4
-# 69 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 3 4
+# 1 "/usr/include/string.h" 1 3 4
+# 69 "/usr/include/string.h" 3 4
 extern "C" {
 void *memchr(const void *, int, size_t);
 int memcmp(const void *, const void *, size_t);
@@ -1565,17 +1565,17 @@
 char *strtok(char *, const char *);
 size_t strxfrm(char *, const char *, size_t);
 }
-# 103 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 3 4
+# 103 "/usr/include/string.h" 3 4
 extern "C" {
 char *strtok_r(char *, const char *, char **);
 }
-# 115 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 3 4
+# 115 "/usr/include/string.h" 3 4
 extern "C" {
 int strerror_r(int, char *, size_t);
 char *strdup(const char *);
 void *memccpy(void *, const void *, int, size_t);
 }
-# 129 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 3 4
+# 129 "/usr/include/string.h" 3 4
 extern "C" {
 char *stpcpy(char *, const char *);
 char *stpncpy(char *, const char *, size_t) ;
@@ -1588,14 +1588,14 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_rsize_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_rsize_t.h" 3 4
+# 1 "/usr/include/sys/_types/_rsize_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_rsize_t.h" 3 4
 typedef __darwin_size_t rsize_t;
-# 142 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_errno_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_errno_t.h" 3 4
+# 142 "/usr/include/string.h" 2 3 4
+# 1 "/usr/include/sys/_types/_errno_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_errno_t.h" 3 4
 typedef int errno_t;
-# 143 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 2 3 4
+# 143 "/usr/include/string.h" 2 3 4
 
 extern "C" {
 errno_t memset_s(void *, rsize_t, int, rsize_t) ;
@@ -1605,10 +1605,10 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_ssize_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_ssize_t.h" 3 4
+# 1 "/usr/include/sys/_types/_ssize_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_ssize_t.h" 3 4
 typedef __darwin_ssize_t ssize_t;
-# 153 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 2 3 4
+# 153 "/usr/include/string.h" 2 3 4
 
 extern "C" {
 void *memmem(const void *, size_t, const void *, size_t) ;
@@ -1632,8 +1632,8 @@
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/strings.h" 1 3 4
-# 67 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/strings.h" 3 4
+# 1 "/usr/include/strings.h" 1 3 4
+# 67 "/usr/include/strings.h" 3 4
 extern "C" {
 
 
@@ -1659,9 +1659,9 @@
 int flsll(long long) ;
 }
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 1 3 4
-# 93 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/strings.h" 2 3 4
-# 177 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/string.h" 2 3 4
+# 1 "/usr/include/string.h" 1 3 4
+# 93 "/usr/include/strings.h" 2 3 4
+# 177 "/usr/include/string.h" 2 3 4
 # 43 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/cstring" 2 3
 # 71 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/cstring" 3
 namespace std 
@@ -1741,22 +1741,22 @@
 
 # 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/limits.h" 1 3 4
 # 168 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/limits.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/limits.h" 1 3 4
-# 64 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/limits.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/limits.h" 1 3 4
+# 1 "/usr/include/limits.h" 1 3 4
+# 64 "/usr/include/limits.h" 3 4
+# 1 "/usr/include/machine/limits.h" 1 3 4
 
 
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/limits.h" 1 3 4
-# 40 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/limits.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/_limits.h" 1 3 4
-# 41 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/i386/limits.h" 2 3 4
-# 7 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/machine/limits.h" 2 3 4
-# 65 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/limits.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/syslimits.h" 1 3 4
-# 66 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/limits.h" 2 3 4
+# 1 "/usr/include/i386/limits.h" 1 3 4
+# 40 "/usr/include/i386/limits.h" 3 4
+# 1 "/usr/include/i386/_limits.h" 1 3 4
+# 41 "/usr/include/i386/limits.h" 2 3 4
+# 7 "/usr/include/machine/limits.h" 2 3 4
+# 65 "/usr/include/limits.h" 2 3 4
+# 1 "/usr/include/sys/syslimits.h" 1 3 4
+# 66 "/usr/include/limits.h" 2 3 4
 # 169 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/limits.h" 2 3 4
 # 8 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/syslimits.h" 2 3 4
 # 35 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/gcc/include-fixed/limits.h" 2 3 4
@@ -3142,19 +3142,19 @@
 # 148 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/x86_64-apple-darwin14/bits/gthr.h" 3
 # 1 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/x86_64-apple-darwin14/bits/gthr-default.h" 1 3
 # 35 "/opt/local/var/macports/build/BUILD/libgcc-devel/work/build/x86_64-apple-darwin14/libstdc++-v3/include/x86_64-apple-darwin14/bits/gthr-default.h" 3
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 1 3 4
-# 57 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/pthread_impl.h" 1 3 4
-# 58 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/pthread.h" 1 3 4
+# 57 "/usr/include/pthread.h" 3 4
+# 1 "/usr/include/pthread/pthread_impl.h" 1 3 4
+# 58 "/usr/include/pthread.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/sched.h" 1 3 4
-# 27 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/sched.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread_impl.h" 1 3 4
-# 28 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/sched.h" 2 3 4
+# 1 "/usr/include/pthread/sched.h" 1 3 4
+# 27 "/usr/include/pthread/sched.h" 3 4
+# 1 "/usr/include/pthread_impl.h" 1 3 4
+# 28 "/usr/include/pthread/sched.h" 2 3 4
 
 
 
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/sched.h" 3 4
+# 30 "/usr/include/pthread/sched.h" 3 4
 extern "C" {
 
 
@@ -3167,27 +3167,27 @@
 extern int sched_get_priority_min(int);
 extern int sched_get_priority_max(int);
 }
-# 60 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/time.h" 1 3 4
-# 67 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/time.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_clock_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_clock_t.h" 3 4
+# 60 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/time.h" 1 3 4
+# 67 "/usr/include/time.h" 3 4
+# 1 "/usr/include/sys/_types/_clock_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_clock_t.h" 3 4
 typedef __darwin_clock_t clock_t;
-# 68 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/time.h" 2 3 4
+# 68 "/usr/include/time.h" 2 3 4
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_time_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_time_t.h" 3 4
+# 1 "/usr/include/sys/_types/_time_t.h" 1 3 4
+# 30 "/usr/include/sys/_types/_time_t.h" 3 4
 typedef __darwin_time_t time_t;
-# 71 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/time.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_timespec.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_timespec.h" 3 4
+# 71 "/usr/include/time.h" 2 3 4
+# 1 "/usr/include/sys/_types/_timespec.h" 1 3 4
+# 30 "/usr/include/sys/_types/_timespec.h" 3 4
 struct timespec
 {
  __darwin_time_t tv_sec;
  long tv_nsec;
 };
-# 72 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/time.h" 2 3 4
+# 72 "/usr/include/time.h" 2 3 4
 
 struct tm {
  int tm_sec;
@@ -3202,7 +3202,7 @@
  long tm_gmtoff;
  char *tm_zone;
 };
-# 96 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/time.h" 3 4
+# 96 "/usr/include/time.h" 3 4
 extern char *tzname[];
 
 
@@ -3250,116 +3250,116 @@
 int nanosleep(const struct timespec *, struct timespec *) __asm("_" "nanosleep" );
 
 }
-# 61 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
+# 61 "/usr/include/pthread.h" 2 3 4
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_cond_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_cond_t.h" 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_cond_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_cond_t.h" 3 4
 typedef __darwin_pthread_cond_t pthread_cond_t;
-# 64 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_condattr_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_condattr_t.h" 3 4
+# 64 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_condattr_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_condattr_t.h" 3 4
 typedef __darwin_pthread_condattr_t pthread_condattr_t;
-# 65 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_key_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_key_t.h" 3 4
+# 65 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_key_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_key_t.h" 3 4
 typedef __darwin_pthread_key_t pthread_key_t;
-# 66 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_mutex_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_mutex_t.h" 3 4
+# 66 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_mutex_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_mutex_t.h" 3 4
 typedef __darwin_pthread_mutex_t pthread_mutex_t;
-# 67 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_mutexattr_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_mutexattr_t.h" 3 4
+# 67 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_mutexattr_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_mutexattr_t.h" 3 4
 typedef __darwin_pthread_mutexattr_t pthread_mutexattr_t;
-# 68 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_once_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_once_t.h" 3 4
+# 68 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_once_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_once_t.h" 3 4
 typedef __darwin_pthread_once_t pthread_once_t;
-# 69 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_rwlock_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_rwlock_t.h" 3 4
+# 69 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_rwlock_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_rwlock_t.h" 3 4
 typedef __darwin_pthread_rwlock_t pthread_rwlock_t;
-# 70 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_rwlockattr_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_rwlockattr_t.h" 3 4
+# 70 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_rwlockattr_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_rwlockattr_t.h" 3 4
 typedef __darwin_pthread_rwlockattr_t pthread_rwlockattr_t;
-# 71 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_t.h" 1 3 4
-# 30 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_pthread/_pthread_t.h" 3 4
+# 71 "/usr/include/pthread.h" 2 3 4
+# 1 "/usr/include/sys/_pthread/_pthread_t.h" 1 3 4
+# 30 "/usr/include/sys/_pthread/_pthread_t.h" 3 4
 typedef __darwin_pthread_t pthread_t;
-# 72 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
+# 72 "/usr/include/pthread.h" 2 3 4
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 1 3 4
-# 32 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/qos.h" 1 3 4
-# 124 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/qos.h" 3 4
+# 1 "/usr/include/pthread/qos.h" 1 3 4
+# 32 "/usr/include/pthread/qos.h" 3 4
+# 1 "/usr/include/sys/qos.h" 1 3 4
+# 124 "/usr/include/sys/qos.h" 3 4
 enum { QOS_CLASS_USER_INTERACTIVE = 0x21, QOS_CLASS_USER_INITIATED = 0x19, QOS_CLASS_DEFAULT = 0x15, QOS_CLASS_UTILITY = 0x11, QOS_CLASS_BACKGROUND = 0x09, QOS_CLASS_UNSPECIFIED = 0x00, }; typedef unsigned int qos_class_t
-# 137 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/qos.h" 3 4
+# 137 "/usr/include/sys/qos.h" 3 4
  ;
-# 153 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/qos.h" 3 4
+# 153 "/usr/include/sys/qos.h" 3 4
 extern "C" {
-# 164 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/qos.h" 3 4
+# 164 "/usr/include/sys/qos.h" 3 4
 
 qos_class_t
 qos_class_self(void);
-# 186 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/qos.h" 3 4
+# 186 "/usr/include/sys/qos.h" 3 4
 
 qos_class_t
 qos_class_main(void);
 
 }
-# 33 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 2 3 4
+# 33 "/usr/include/pthread/qos.h" 2 3 4
 
 
 
 extern "C" {
-# 76 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 76 "/usr/include/pthread/qos.h" 3 4
 
 int
 pthread_attr_set_qos_class_np(pthread_attr_t *__attr,
   qos_class_t __qos_class, int __relative_priority);
-# 107 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 107 "/usr/include/pthread/qos.h" 3 4
 
 int
 pthread_attr_get_qos_class_np(pthread_attr_t * __attr,
   qos_class_t * __qos_class,
   int * __relative_priority);
-# 148 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 148 "/usr/include/pthread/qos.h" 3 4
 
 int
 pthread_set_qos_class_self_np(qos_class_t __qos_class,
   int __relative_priority);
-# 179 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 179 "/usr/include/pthread/qos.h" 3 4
 
 int
 pthread_get_qos_class_np(pthread_t __pthread,
   qos_class_t * __qos_class,
   int * __relative_priority);
-# 206 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 206 "/usr/include/pthread/qos.h" 3 4
 typedef struct pthread_override_s* pthread_override_t;
-# 258 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 258 "/usr/include/pthread/qos.h" 3 4
 
 pthread_override_t
 pthread_override_qos_class_start_np(pthread_t __pthread,
   qos_class_t __qos_class, int __relative_priority);
-# 286 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread/qos.h" 3 4
+# 286 "/usr/include/pthread/qos.h" 3 4
 
 int
 pthread_override_qos_class_end_np(pthread_override_t __override);
 
 }
-# 74 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
+# 74 "/usr/include/pthread.h" 2 3 4
 
 
 
-# 1 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_mach_port_t.h" 1 3 4
-# 49 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/sys/_types/_mach_port_t.h" 3 4
+# 1 "/usr/include/sys/_types/_mach_port_t.h" 1 3 4
+# 49 "/usr/include/sys/_types/_mach_port_t.h" 3 4
 typedef __darwin_mach_port_t mach_port_t;
-# 78 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 2 3 4
-# 105 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 3 4
+# 78 "/usr/include/pthread.h" 2 3 4
+# 105 "/usr/include/pthread.h" 3 4
 extern "C" {
-# 209 "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/pthread.h" 3 4
+# 209 "/usr/include/pthread.h" 3 4
 
 int pthread_atfork(void (*)(void), void (*)(void), void (*)(void));
 
